Bug 800405 - Fedora guest's kernel crashes in runlevels 3 and 5
Fedora guest's kernel crashes in runlevels 3 and 5
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
: Regression, TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 07:57 EST by Jakub Libosvar
Modified: 2012-11-14 11:32 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 11:32:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (7.88 KB, image/png)
2012-03-06 07:57 EST, Jakub Libosvar
no flags Details

  None (edit)
Description Jakub Libosvar 2012-03-06 07:57:57 EST
Created attachment 567942 [details]
Screenshot

Description of problem:
Every time I boot Fedora 32/64 guest and connect to it via spice it freezes and attached trace is printed. I tried to obtain more info with no success, installed kexec-tools, crash, kernel-debuginfo, set crashmemory as kernel parameter but nothing is written to /var/crash. I'm attaching boot.log and dmesg. It doesn't occur when I boot into single user mode and start network.

The VM is run from oVirt management with following parameters
/usr/bin/qemu-kvm -S -M pc-0.14 -cpu core2duo,+lahf_lm,-monitor,-vme -enable-kvm -m 1024 -smp 2,sockets=1,cores=2,threads=1 -name Fedora-64 -uuid f247b62f-ee9e-41c8-800f-2f7d3365d98d -smbios type=1,manufacturer=Red Hat,product=RHEV Hypervisor,version=16-1,serial=FF094200-0B8C-384C-AE3C-22802EC26045_E4:1F:13:69:C4:74,uuid=f247b62f-ee9e-41c8-800f-2f7d3365d98d -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/Fedora-64.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=2012-03-06T12:42:43,driftfix=slew -device virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0,addr=0x5 -drive file=/rhev/data-center/7e26e5c4-f765-4388-ad75-ade0f81a7a72/a7d5095e-133e-4832-b7d8-7bd3780ea67a/images/9c3f72ef-bb5a-4b25-88b6-e62f47e964f2/81cd837f-abde-4e5d-ac6c-f3e7cc0a8efd,if=none,id=drive-virtio-disk0,format=qcow2,serial=9c3f72ef-bb5a-4b25-88b6-e62f47e964f2,cache=none,werror=stop,rerror=stop,aio=native -device virtio-blk-pci,bus=pci.0,addr=0x6,drive=drive-virtio-disk0,id=virtio-disk0,bootindex=1 -drive if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw,serial= -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 -netdev tap,fd=27,id=hostnet0,vhost=on,vhostfd=28 -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:1a:4a:31:3f:03,bus=pci.0,addr=0x3 -chardev socket,id=charchannel0,path=/var/lib/libvirt/qemu/channels/Fedora-64.com.redhat.rhevm.vdsm,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=charchannel0,id=channel0,name=com.redhat.rhevm.vdsm -chardev spicevmc,id=charchannel1,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=2,chardev=charchannel1,id=channel1,name=com.redhat.spice.0 -chardev pty,id=charconsole0 -device virtconsole,chardev=charconsole0,id=console0 -usb -spice port=5900,tls-port=5901,addr=10.34.63.208,x509-dir=/etc/pki/vdsm/libvirt-spice,tls-channel=main,tls-channel=inputs -k en-us -vga qxl -global qxl-vga.vram_size=67108864 -device AC97,id=sound0,bus=pci.0,addr=0x4

Version-Release number of selected component (if applicable):
qemu-kvm-0.15.1-4.fc16.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot Fedora guest OS from oVirt mgmt
  
Actual results:
Kernel crashes

Expected results:
OS boots

Additional info:
Attached screenshot with trace. Please ask for other relevant files.
Comment 1 Justin M. Forbes 2012-03-07 10:52:35 EST
Can you boot the image, connect to it with ssh and tail messages before you connect to it with spice to see if you can find any better information?
Comment 2 Justin M. Forbes 2012-03-07 14:56:42 EST
Please create a new image on raw or qcow file backed storage and post the image for download somewhere to give any chance of meaningful debugging.
Comment 3 Justin M. Forbes 2012-03-09 12:14:56 EST
The image link you gave me tells me gives a 403 on download attempts. Fix perms perhaps?
Comment 4 Jakub Libosvar 2012-03-10 11:32:27 EST
Fixed.
Comment 5 Dave Jones 2012-03-22 12:53:22 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Dave Jones 2012-03-22 12:57:07 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 Dave Jones 2012-03-22 13:08:08 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 8 Jakub Libosvar 2012-04-03 02:37:59 EDT
Still reproducible with kernel 3.3.0-8.fc16
Comment 9 Josh Boyer 2012-09-05 10:18:19 EDT
Are you still seeing this with 3.4.9-2?  If so, can you please do what Justin suggested in comment #2?
Comment 10 Dave Jones 2012-10-23 11:38:26 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 11 Justin M. Forbes 2012-11-14 11:32:50 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.